/* This is a variable.
Variables are used to store data in your program.
"int" means we want to store a whole number (short for integer).
"loop_counter" is the name (or label) of the number.
"= 0" sets it to zero before your program starts. You can set it to other numbers. Try it!
*/

int loop_counter = 0;

void setup()
{
    pinMode(13, OUTPUT);
    Serial.begin(9600); 
}

void loop()
{
    digitalWrite(13, HIGH);
    Serial.println("LED on!");
    delay(1000);
    digitalWrite(13, LOW);
    Serial.println("LED off!");
    delay(1000);
    
    // This line adds 1 to loop_counter each time it runs. So 1 becomes 2, then 2 becomes 3 etc.
    loop_counter = loop_counter + 1; 
    Serial.print("Loop count = ");  // There is a difference between print and println. Can you work out what it is?
    Serial.println(loop_counter);   // Serial can output variables as well as text!
}


